Package twisted :: Package internet :: Module base

[show private | hide private]
[frames | no frames]

## Module twisted.internet.base

Very basic functionality for a Reactor implementation.

API Stability: stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`ReactorBase` | Default base class for Reactors.
`BaseConnector` | Basic implementation of connector.
`BasePort` | Basic implementation of a ListeningPort.
`BCFactory` | Factory for backwards compatability with old clientXXX APIs.
`DelayedCall` |

Function Summary
| `_nmin(a, b)`

Variable Summary
`MetaInterface` | `IConnector`
`MetaInterface` | `IDelayedCall`
`MetaInterface` | `IReactorCore`
`MetaInterface` | `IReactorPluggableResolver`
`MetaInterface` | `IReactorProcess`
`MetaInterface` | `IReactorSSL`
`MetaInterface` | `IReactorTCP`
`MetaInterface` | `IReactorThreads`
`MetaInterface` | `IReactorTime`
`MetaInterface` | `IReactorUDP`
`MetaInterface` | `IReactorUNIX`

Variable Details

### IConnector

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IConnector'>

### IDelayedCall

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IDelayedCall'>

### IReactorCore

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorCore'>

### IReactorPluggableResolver

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorPluggableResolver'>

### IReactorProcess

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorProcess'>

### IReactorSSL

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorSSL'>

### IReactorTCP

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorTCP'>

### IReactorThreads

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorThreads'>

### IReactorTime

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorTime'>

### IReactorUDP

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorUDP'>

### IReactorUNIX

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IReactorUNIX'>

Generated by Epydoc 1.1 on Thu May 8 13:18:25 2003 | http://epydoc.sf.net